package com.bcxin.risk.report.enums;


public enum ReportSubStep {

	CREATEPROJECT{public String getValue(){return "10";} public String getCname(){return "成功创建了项目";} public String getEname(){return "CREATEPROJECT";}},
	
	PAYMENT {public String getValue(){return "15";} public String getCname(){return "成功支付了费用";} public String getEname(){return "PAYMENT";}}, 
	
	FILESUBMIT {public String getValue(){return "20";} public String getCname(){return "成功提交了材料";} public String getEname(){return "FILESUBMIT";}}, 
	
	FIRSTSURVEY  {public String getValue(){return "30";} public String getCname(){return "第一阶段勘查已完成";}public String getEname(){return "FIRSTSURVEY";}},
	
	REPORTWRITING {public String getValue(){return "35";} public String getCname(){return "风险评估报告已完成";}public String getEname(){return "REPORTWRITING";}},
	
	APPROVALREJECT {public String getValue(){return "40";} public String getCname(){return "活动审批不通过";}public String getEname(){return "APPROVALREJECT";}},
	
	APPROVALPASS {public String getValue(){return "45";} public String getCname(){return "活动审批通过";}public String getEname(){return "APPROVALPASS";}},
	
	SECONDSURVEY {public String getValue(){return "50";} public String getCname(){return "第二阶段勘查已完成";}public String getEname(){return "SECONDSURVEY";}},
	
	SUPERVISIONREPORT{public String getValue(){return "55";} public String getCname(){return "监理报告已完成";}public String getEname(){return "SUPERVISIONREPORT";}}, 
	
	THIRDSURVEY {public String getValue(){return "60";} public String getCname(){return "第三阶段勘查已完成";}public String getEname(){return "THIRDSURVEY";}},
	
	PROJECTEND {public String getValue(){return "65";} public String getCname(){return "项目结束";}public String getEname(){return "PROJECTEND";}}; 

    public abstract String getValue();
    
    public abstract String getCname();
    
    public abstract String getEname();
    
    public static ReportSubStep convertValue(String value){
    	if ( "10".equals(value) ) {
    		return ReportSubStep.CREATEPROJECT;
    	} else if ( "15".equals(value) ) {
    		return ReportSubStep.PAYMENT;
    	} else if ("20".equals(value)) {
    		return ReportSubStep.FILESUBMIT;
    	} else if ("30".equals(value)) {
    		return ReportSubStep.FIRSTSURVEY;
    	} else if ("35".equals(value)) {
    		return ReportSubStep.REPORTWRITING;
    	} else if ("40".equals(value)) {
    		return ReportSubStep.APPROVALREJECT;
    	} else if ("45".equals(value)) {
    		return ReportSubStep.APPROVALPASS;
    	} else if ("50".equals(value)) {
    		return ReportSubStep.SECONDSURVEY;
    	} else if ("55".equals(value)) {
    		return ReportSubStep.SUPERVISIONREPORT;
    	} else if ("60".equals(value)) {
    		return ReportSubStep.THIRDSURVEY;
    	} else if ("65".equals(value)) {
    		return ReportSubStep.PROJECTEND;
    	} 
    	return null;
    }
    
}
